<?php
/**
 * 活动列表-数据详情-时长录入
 * $Id: event_input_time.inc,v 1.1 2015/10/08 11:18:53 wanggb Exp $
 * @author wanggb
 * @access public
 * @package manager.templates
 **/
global $upload_thumbnail;
global $thumbnail_error_msg;
?>
<div id="change">
	<p class="edit_title">数据详情-时长录入</p>
	<form id="event_input_time" action="event_input_time_result.php" method="post" enctype="multipart/form-data">
	<input type="hidden" name="event_id" value="<?=$event_id?>"/>
	<input type="hidden" name="ids" value="<?=$ids?>"/>
	<div class="edit_content">
		<p>用户姓名</p>
		<p class="begin_blank"><?=htmlspecialchars($names) ?></p>
		<p>录入的时长</p>
		<el-input v-model="time_length" type="number" name="time_length" class="input_200"></el-input> 小时<br />
		<p>感想</p>
		<textarea v-model="comment" name="comment" rows="10" ></textarea><br />
		<p>图片<span class="uploaded-num">0</span>/<span class="upload-num">10</span></p>
        <div id="zhl_admin_update">
            <input type="file" id="zhl_admin_file" hidefocus  accept="image/*" style="display:none" >
            <span id="zhl_admin_imgs"></span><img src="images/btn_add.png" id="zhl_admin_img" onclick="zhl_admin_file.click()" />
        </div>
    <br/><br/>
		<el-button type="danger" @click="edit()" class="edit_btn">完成</el-button>
		<el-button type="danger" @click="back()" class="edit_btn">返回</el-button>
	</div>
	</form>
	<br/><br/>
</div>
<script type="text/javascript">
		
		var v = new Vue({
			el:'#change',
			data:{
				fileList:[],
				time_length:'',
				comment:''
			},
			methods:{
				edit:function(){
					if(!this.time_length){
						this.$message({
			            type: 'error',
			            message: '请输入录入的时长!'
			          });
			          return;
					}
					if(!isPointNumber(this.time_length)){
						this.$message({
			            type: 'error',
			            message: '录入的时长格式不正确!'
			          });
			          return;
					}
					$('#event_input_time').submit();
				},
				back:function(){
				  window.history.go(-1);
				}
			}
		})
</script>

